### Method

# St ThemeNode paint

#### Declaration [src]

    void
    st_theme_node_paint (
      StThemeNode* node,
      StThemeNodePaintState* state,
      CoglContext* cogl_context,
      ClutterPaintContext* paint_context,
      ClutterPaintNode* root,
      const ClutterActorBox* box,
      guint8 paint_opacity,
      float resource_scale
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Parameters

`state`

  Type: `StThemeNodePaintState`

  No description available.

  The data is owned by the caller of the method.

`cogl_context`

  Type: `CoglContext`

  No description available.

  The data is owned by the caller of the method.

`paint_context`

  Type: `ClutterPaintContext`

  No description available.

  The data is owned by the caller of the method.

`root`

  Type: `ClutterPaintNode`

  No description available.

  The data is owned by the caller of the method.

`box`

  Type: `ClutterActorBox`

  No description available.

  The data is owned by the caller of the method.

`paint_opacity`

  Type: `guint8`

  No description available.

`resource_scale`

  Type: `float`

  No description available.